> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List DEX Metrics

> Returns a list of timeseries metrics available for DEXs



## OpenAPI

````yaml GET /metrics/v2/protocols/dex/metrics
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V2
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v2/protocols/dex/metrics:
    get:
      tags:
        - metrics/protocols/dex
      summary: List DEX metrics
      description: Returns a list of timeseries metrics available for DEXs
      operationId: getDexMetricsV2
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/TimeseriesCatalog'
                  error:
                    type: string
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  datasets:
                    - slug: dex
                      granularities:
                        - 1d
                      metrics:
                        - name: Timestamp
                          slug: time
                          description: Timestamp of the data point.
                          is_timestamp: true
                        - name: TVL 24 Hour USD
                          slug: tvl24HourUsd
                          description: Total Value Locked in USD.
                          is_timestamp: false
                        - name: Active Addresses 24 Hour
                          slug: activeAddresses24Hour
                          description: >-
                            Number of unique addresses interacting with the
                            protocol.
                          is_timestamp: false
                        - name: Fees 24 Hour USD
                          slug: fees24HourUsd
                          description: Total fees generated by the protocol in USD.
                          is_timestamp: false
                        - name: Fees Supply Side 24 Hour USD
                          slug: feesSupplySide24HourUsd
                          description: Fees paid to liquidity providers in USD.
                          is_timestamp: false
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    TimeseriesCatalog:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/TimeseriesDataset'
          type: array
      required:
        - datasets
      type: object
    TimeseriesDataset:
      type: object
      description: Schema for TimeseriesDataset
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````